Loading...
Searching...
No Matches
etl::chrono::month_day_last Class Reference

Spaceship operator. More...

`#include <month_day.h>`

## Public Member Functions

ETL_CONSTEXPR14 | month_day_last (const etl::chrono::month &m_) ETL_NOEXCEPT
| Construct from month.
ETL_CONSTEXPR14 etl::chrono::month | month () const ETL_NOEXCEPT
| Get the month.
bool | ok () const ETL_NOEXCEPT
| Is the contained month OK?
ETL_NODISCARD ETL_CONSTEXPR14 int | compare (const month_day &other) const ETL_NOEXCEPT

## Detailed Description

Spaceship operator.

month_day_last

## Member Function Documentation

## compare()

ETL_NODISCARD ETL_CONSTEXPR14 int etl::chrono::month_day_last::compare | ( | const month_day & | other | ) | const

inline

Compare month_day with another. if month < other.month, returns -1 else if month > other.month, returns 1 else returns 0

The documentation for this class was generated from the following file:

- include/etl/private/chrono/month_day.h